Summary: An X Window System based text editor.
Name: xcoral
Version: 3.14
Release: 5
Copyright: GPL
Group: Applications/Editors
Source: ftp://ftp.x.org/contrib/editors/xcoral-3.14.tar.gz
Patch1: xcoral-3.14-misc.patch
Patch2: xcoral-2.5-alpha.patch
Patch3: xcoral-3.14-get_file.patch
Buildroot: /var/tmp/xcoral-root

%description
Xcoral is a multiwindow X Window System text editor with mouse
support.  Xcoral also includes a built-in browser for navigating
through C functions, C++ classes, methods and files.  A small built-in
ANSII C interpreter (SMAC) dynamically extends the editor's
capabilities (user functions, key bindings, modes, etc.).

Xcoral supports variable width fonts, menus, scrollbars, buttons,
search, regions, kill-buffers, macros and undo.  An online manual,
including a table of contents and an index, helps users to use and
customize the editor.  Commands are both menu driven and available as
keystrokes.  Documentation is not included in xcoral, but can be found
in the xcoral-docs package.

%package docs
Summary: The documentation for xcoral, provided in HTML format.
Group: Documentation

%description docs
Xcoral's HTML documentation is in a separate package because of its
size.  If you're installing xcoral and you aren't an expert at using
it, you should go ahead and install xcoral-docs.

%prep
%setup -q
%patch1 -p1 -b .misc

%ifarch alpha
%patch2 -p1 -b .alpha
%endif

%patch3 -p1 -b .get_file

%build
mkdir -p $RPM_BUILD_ROOT
xmkmf 
make All DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/bin/xcoral
/usr/lib/xcoral

%files docs
%doc Doc

%changelog
* Mon Jul 22 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated version
- fixed problems with sys_errlist

